Get configuration file
GET
/system/dbconf/{service}/{file}/
const url = 'https://example.com/api/v1/system/dbconf/example/example/';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/dbconf/example/example/ \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”service
required
string
Name of the service to configure
file
required
string
Name of the configuration file
Responses
Section titled “ Responses ”Configuration file returned
Media typeapplication/json
object
data
object
key
additional properties
string
Examplegenerated
{ "data": { "additionalProperty": "example" }}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}